"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformMixin = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const core_1 = require("@nestjs/core");
const helper_1 = require("../../../helper");
const transform_mixin_1 = require("./transform.mixin");
const constants_1 = require("../../../constants");
function transformMixin(entity, connectionName) {
    const serviceClass = (0, helper_1.nameIt)((0, helper_1.getProviderName)(entity, constants_1.TRANSFORM_MIXIN_SERVICE_POSTFIX), transform_mixin_1.TransformMixinService);
    (0, common_1.Injectable)()(serviceClass);
    (0, typeorm_1.InjectRepository)(entity, connectionName)(serviceClass, 'repository', 0);
    (0, common_1.Inject)((0, helper_1.getProviderName)(entity, constants_1.CONFIG_PARAM_POSTFIX))(serviceClass, 'config', 1);
    (0, common_1.Inject)(core_1.ApplicationConfig)(serviceClass, 'applicationConfig', 2);
    return serviceClass;
}
exports.transformMixin = transformMixin;
//# sourceMappingURL=index.js.map